Package org.apache.synapse.commons.staxon.core.json.stream.util

# Class CustomRegexIgnoreAutoPrimitiveTarget

java.lang.Object
org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
org.apache.synapse.commons.staxon.core.json.stream.util.CustomRegexIgnoreAutoPrimitiveTarget

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`, `JsonStreamTarget`

public class CustomRegexIgnoreAutoPrimitiveTarget extends StreamTargetDelegate

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomRegexIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate, boolean convertAttributes, String customRegex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `name(String name)`
  Write name.
  `void`
  `value(Object value)`
  Write value.

  ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

  `close, endArray, endObject, flush, startArray, startObject`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomRegexIgnoreAutoPrimitiveTarget

    public CustomRegexIgnoreAutoPrimitiveTarget(JsonStreamTarget delegate, boolean convertAttributes, String customRegex)

- ## Method Details

  - ### name

    public void name(String name) throws IOException
    Description copied from interface: `JsonStreamTarget`
    Write name.
    Specified by:
      `name` in interface `JsonStreamTarget`
    Overrides:
      `name` in class `StreamTargetDelegate`
    Parameters:
      `name` -
    Throws:
      `IOException`

  - ### value

    public void value(Object value) throws IOException
    Description copied from interface: `JsonStreamTarget`
    Write value.
    Specified by:
      `value` in interface `JsonStreamTarget`
    Overrides:
      `value` in class `StreamTargetDelegate`
    Parameters:
      `value` -
    Throws:
      `IOException`